Home » Android » android – Cannot resolve symbol 'NavigationView'

android – Cannot resolve symbol 'NavigationView'

Posted by: admin May 14, 2020 Leave a comment

Questions:

I made a NavigationView inside a DrawerLayout in an XML file – but when I try to initialize it in Java I get this error.

// DrawerLayout initialises fine
DrawerLayout drawerLayout = (DrawerLayout) findViewById(R.id.nav_drawer);
// Cannot resolve symbol 'NavigationView'
NavigationView navView = (NavigationView) findViewById(R.id.navigation_view);

I tried adding the import line

import  android.support.design.widget.NavigationView

but this is also giving me errors. Any ideas? Haven’t been able to find a solution online.

Edit:
After adding dependency given in Tanis’ answer, I get these errors

Error:A problem occurred configuring project ':app'.
> Could not resolve all dependencies for configuration ':app:_debugCompile'.
   > Could not find com.android.support:design:22.2.1.
     Searched in the following locations:
         https://jcenter.bintray.com/com/android/support/design/22.2.1/design-22.2.1.pom
         https://jcenter.bintray.com/com/android/support/design/22.2.1/design-22.2.1.jar
         https://repo1.maven.org/maven2/com/android/support/design/22.2.1/design-22.2.1.pom
         https://repo1.maven.org/maven2/com/android/support/design/22.2.1/design-22.2.1.jar
         file:/C:/Users/SV_Laptop03/AppData/Local/Android/sdk/extras/android/m2repository/com/android/support/design/22.2.1/design-22.2.1.pom
         file:/C:/Users/SV_Laptop03/AppData/Local/Android/sdk/extras/android/m2repository/com/android/support/design/22.2.1/design-22.2.1.jar
         file:/C:/Users/SV_Laptop03/AppData/Local/Android/sdk/extras/google/m2repository/com/android/support/design/22.2.1/design-22.2.1.pom
         file:/C:/Users/SV_Laptop03/AppData/Local/Android/sdk/extras/google/m2repository/com/android/support/design/22.2.1/design-22.2.1.jar
     Required by:
         MyApp:app:unspecified  
How to&Answers:

It sounds like you do not have the library included as a Gradle dependency.

Add the following to your build.gradle:

dependencies {
    compile 'com.android.support:design:22.2.1'
}

The error message “Could not find com.android.support:design:22.2.1.” means that you likely do not have the latest version of the Android Support Repository installed. Open up your SDK Manager and ensure that the “Android Support Library” and “Android Support Repository” items under “Extras” are up to date.

Answer:

If you’re using AndroidX, Use:

implementation 'com.google.android.material:material:1.0.0'

And in you’re layout resource file:

<com.google.android.material.navigation.NavigationView
...
...
/>

Answer:

For those who are looking for BottomNavigationView and entered this question, you need to have the design packages greater than 25

dependencies {
    compile 'com.android.support:design:25.0.0'
}